{% extends 'base.html' %}
{% block title%}Gestion du dossier{% endblock %}

{% block content %}
<div class="card-panel row">
    {% if type == 'participant' %}
        Vous pouvez voir ici la progression de votre dossier.
        <p>L'inscription de ton équipe sera validée lorsque vos quatre dossiers seront complets.
        <h5>Vous recevrez alors par mail un lien pour accéder au paiement en ligne</h5></p>
        <p>Pour toute demande de renseignement, vous pouvez contacter nos équipes par mail : <a href="mailto:raid.inscriptions@bde-insa-lyon.fr">raid.inscriptions@bde-insa-lyon.fr</a></p>
        <div class="progress">
            <div class="determinate blue" style="width: {{ progression }}%"></div>
        </div>
        <ul>
        {% if certif_medic_valide %}
            <li><i class="material-icons green-text">check</i> Certificat médical valide</li>
            {% else %}
            <li><i class="material-icons red-text">close</i> Certifical médical non validé</li>
        {% endif %}
        {% if resp_civile_valide %}
            <li><i class="material-icons green-text">check</i> Attestation de responsabilité civile valide</li>
            {% else %}
            <li><i class="material-icons red-text">close</i> Attestation de responsabilité civile non validée</li>
        {% endif %}
        {% if decharge_resp_valide %}
            <li><i class="material-icons green-text">check</i> Décharge valide</li>
            {% else %}
            <li><i class="material-icons red-text">close</i> Décharge non validée</li>
        {% endif %}
        {% if va_valide %}
            <li><i class="material-icons green-text">check</i> Carte VA valide</li>
            {% elif numero_VA == None %}
                {% if carte_edu_valide %}
                     <li><i class="material-icons green-text">check</i> Carte Étudiante validée</li>
                {% else %}
                  <li><i class="material-icons red-text">close</i> Carte Étudiante non validée</li>
                {% endif %}
            {% else %}
            <li><i class="material-icons red-text">close</i> Carte VA non validée</li>
            {% endif %}

        </ul>
        {% if status_type <= 3 %}
                <a class="btn teal waves-effect waves-light pulse" href="/profile/edit">Compléter mon Dossier</a>
            {% if status_type <= 2 %}
            <a href="/action/quitter/" class="btn red waves-effect waves-black" onclick="return confirm('Êtes-vous sûr de vouloir vous désister du RAID ?\n Cette action est définitive')">
                    Se désinscrire</a> Attention cette action est permanente
            {% endif %}
            <div class="card-panel green lighten-4"><h5 class="center teal-text">Actions & Vérifications :</h5>
               <div class="row">
                  <!-- <div class="col s6 l4"><a class="" href="#">Vérifier mon status d'étudiant</a></div>-->
                   {% if numero_VA != None and va_valide == False %}
                       <div class="col s6 l4"><a class="btn" href="/check_va/">Vérifier ma carte VA</a></div>
                       {% endif %}
               {% if status_type == 1 %}
                   {% if client_id == None %}<a href="/client" class="btn blue">Débuter le paiement</a><br>{% endif %}
                   {% if invitation_id == None and client_id != None %}<a href="/invitation" class="btn green">Envoyer le lien de paiement</a>{% endif %}
                          {% if invitation_id %}<!--<a href="/resend" class="btn">Ré-envoyer le mail</a>-->
                             <p>Un lien vers la billetterie vous a été envoyé à l'adresse   <i>{{ email }}</i></p>
                         {% endif %}
                   {% endif %}
               </div>
            </div>
        {% endif %}
        <div class="row">
            <div class="card-panel orange lighten-3 col m4 l4 s12"><h5>{{ status_texte }}</h5></div>
            <div class="card-panel purple lighten-2 col m7 s12 l7 right">Équipe {{ equipe }}
                {% if is_leader == 'True' %}<br><p class="white">Vous en êtes le chef</p>{% endif %}</div>
        </div>
        {% if is_leader == 'True' %}
            <div class="row">
            <div class="col l6 s12 m6">
            <h4>Invitations</h4><div class="divider"></div>
        <div class="card-panel light-green lighten-2 hoverable">
            <!--<a href="/participant/inviter" class="amber btn black-text">Rajouter des participants</a>-->
        <a class="btn-floating waves-effect waves-light cyan pulse" href="participant/inviter"><i class="material-icons">add</i></a>

        <ul><!--<i class="material-icons">remove</i>-->
        {% for invitation in invitations %}
            <li>http://{{ request.get_host }}{{ invitation.lien }}  pour <i>{{ invitation.email }}</i>
                <a class="btn-small btn red-text" href="/participant/annuler/{{ invitation.id }}">X</a></li>
        {% endfor %}
        </ul>
        Faites clic-droit puis "copier l'adresse du lien" pour la ré-envoyer à vos amis.<br>
            Note : Il faut faire une invitation par personne.
        </div>
            </div>
            <div class="col l6 m6 s12">
                <h4>Participants</h4><div class="divider"></div>
                <div class="card-panel hoverable orange lighten-1">
                    <ul>{% for participant in participants %}
                        <li>{{ participant.nom_prenom }}</li>
                    {% endfor %}</ul>
                </div>
            </div>
            </div>
        {% endif %}


    {% elif type == 'utilisateur'%}
        <h5 class="center red-text">Veuillez vous créer un dossier!</h5>
        <a class="btn waves-effect waves-light" href="/leader/add">Créer un dossier et une équipe</a>
        <br>Ou cliquez sur un lien d'invitation pour rejoindre une équipe existante et créer votre dossier.
        
        {% else %}
        <div class="card-panel yellow lighten-1"><p>Si vous avez reçu un lien d'invitation pour rejoindre une équipe existante, utilisez-le.
        Sinon, <a href="/accounts/add">créez un compte et une équipe</a></p>
        <p>Ou connectez-vous si vous possédez déjà un compte.</p>
        </div>
    {% endif %}
</div>
</div>
{% endblock %}
